Last Comment Bug 642127 - Improve the Windows Vista/7 progress bar glow effect
: Improve the Windows Vista/7 progress bar glow effect
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
: Jim Mathies [:jimm]
Mentors:
Depends on: 641517
Blocks: 633207
  Show dependency treegraph
 
Reported: 2011-03-16 07:48 PDT by Mounir Lamouri (:mounir)
Modified: 2011-07-20 05:40 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.81 KB, patch)
2011-03-17 10:16 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1.1 (3.24 KB, patch)
2011-03-17 11:55 PDT, Mounir Lamouri (:mounir)
jmathies: review+
Details | Diff | Splinter Review
Download Window (green bar does not use entire height in 5/11/11 Nightly) (101.67 KB, image/png)
2011-05-11 06:17 PDT, Chris B.
no flags Details

Description Mounir Lamouri (:mounir) 2011-03-16 07:48:01 PDT
For the moment, the progress bar glow effect is taking into account the bar size but should take the entire progress bar size. It would make the effect less speedy and stressful ;)
Comment 1 Mounir Lamouri (:mounir) 2011-03-17 10:16:02 PDT
Created attachment 519938 [details] [diff] [review]
Patch v1

By tweaking the speed and adding a delay we seem to be close to what is usually done on Windows 7 (didn't check Vista but I assume it's not so far). Though, the speed and delay seems to vary between applications. I guess it's customizable.
Comment 2 Mounir Lamouri (:mounir) 2011-03-17 10:18:41 PDT
(In reply to comment #0)
> For the moment, the progress bar glow effect is taking into account the bar
> size but should take the entire progress bar size. It would make the effect
> less speedy and stressful ;)

By the way, this comment is wrong. This is what Chrome is doing but that's not what Windows native widget does...
Comment 3 Mounir Lamouri (:mounir) 2011-03-17 11:55:13 PDT
Created attachment 519976 [details] [diff] [review]
Patch v1.1

With constants.
Comment 4 Jim Mathies [:jimm] 2011-04-25 06:10:57 PDT
Comment on attachment 519976 [details] [diff] [review]
Patch v1.1

Review of attachment 519976 [details] [diff] [review]:

r+
Comment 6 Mounir Lamouri (:mounir) 2011-05-09 05:44:14 PDT
It's actually:
http://hg.mozilla.org/mozilla-central/rev/f645c3124254
Comment 7 Shawn Wilsher :sdwilsh 2011-05-09 16:12:32 PDT
Backed out in http://hg.mozilla.org/mozilla-central/rev/dd9ba28d2bd9 to resolve bug 655860.
Comment 8 Mounir Lamouri (:mounir) 2011-05-10 07:02:11 PDT
The regression wasn't caused by these patches. Re-landed:
http://hg.mozilla.org/mozilla-central/rev/c15b58d50e45
Comment 9 Chris B. 2011-05-11 06:16:17 PDT
This broke something.  Now, when you download a file, the filled in green area does not take up the entire height of the bar and looks weird.  Screenshot provided.
Comment 10 Chris B. 2011-05-11 06:17:04 PDT
Created attachment 531607 [details]
Download Window (green bar does not use entire height in 5/11/11 Nightly)
Comment 11 Chris B. 2011-05-11 06:22:45 PDT
(In reply to comment #9)
> This broke something.  Now, when you download a file, the filled in green
> area does not take up the entire height of the bar and looks weird. 
> Screenshot provided.

I am using Build ID = http://hg.mozilla.org/mozilla-central/rev/a45b5cf1d625
Comment 12 Jim Mathies [:jimm] 2011-05-11 07:02:02 PDT
(In reply to comment #9)
> This broke something.  Now, when you download a file, the filled in green
> area does not take up the entire height of the bar and looks weird. 
> Screenshot provided.

filed bug 656284.
Comment 13 George Carstoiu 2011-07-20 05:40:18 PDT
Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Everything seems in order now and bug 656284 got also fixed.

Setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.